#include <Motor73.h>
Motor73 Motor73 (11, 12, 5, 8, 9, 3);
int va, vb, vc, vd, ve, vf, vcnt;
unsigned long valr, vall;
int c100;
int sw = 1;
int sww = 1;
int dis, a;
unsigned long t1, t2;
float sumf, sum01;
int pleft, pright;
void setup() {
  // порты: int1=4, int2=5, ena=3, int3=6, int4=7, enb=9
  Motor73.init();
  Motor73.set_cont(20, 0.25, true, 80);
  Motor73.set_power(0 , 170, 140);
  Motor73.set_kpid(1.5, 40, 0.2);
  ADCSRA |= (1 << ADPS2);
  ADCSRA &= ~ ((1 << ADPS1) | (1 << ADPS0));
  t1 = millis();
  while ( (millis() - t1) < 8000) {
    va = analogRead(A6);
    vb = analogRead(A5);
    vc = analogRead(A4);
    vcnt =  analogRead(A3);
    vd = analogRead(A2);
    ve = analogRead(A1);
    vf = analogRead(A0);
    Motor73.cont_ustir(vc, vcnt, vd);
  }
  Serial.print("  MID_LEFT  ="); Serial.print(Motor73.midleft());
  Serial.print("  MID_CENTER ="); Serial.print(Motor73.midcenter());
  Serial.print("  MID_RIGHT ="); Serial.println(Motor73.midright());
  Motor73.cont_on(true);
  digitalWrite(10,HIGH);
}
void loop() {

  va = analogRead(A6);
  vb = analogRead(A5);
  vc = analogRead(A4);
  vcnt =  analogRead(A3);
  vd = analogRead(A2);
  ve = analogRead(A1);
  vf = analogRead(A0);
  vall = va * 2 + vb * 1.5 + vc;
  valr = vd + ve * 1.5 + vf * 2;
  Motor73.cont_check(va, vcnt, vf);
  Motor73.calc_power(vall, valr);
}